> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mindgard.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List all datasets



## OpenAPI

````yaml https://demo.us.mindgard.ai/api/openapi.json get /v1/beta/datasets
openapi: 3.1.0
info:
  title: Mindgard Public API
  description: This is the public API for Mindgard.
  version: 1.0.0
  contact:
    name: Mindgard Support
    email: support@mindgard.ai
servers:
  - url: https://demo.us.mindgard.ai/api
security:
  - BearerAuth: []
tags:
  - name: Projects
    x-displayName: Projects
  - name: Tests
    x-displayName: Tests
  - name: Findings
    x-displayName: Findings
  - name: Datasets
    x-displayName: Datasets
  - name: Multi-Turn Tests
    x-displayName: Multi-Turn Tests
  - name: Reconnaissance
    x-displayName: Reconnaissance
paths:
  /v1/beta/datasets:
    get:
      tags:
        - Datasets
      summary: List all datasets
      operationId: MetisServicePublic_ListDatasets
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1betaListDatasetsResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
      security:
        - BearerAuth: []
components:
  schemas:
    v1betaListDatasetsResponse:
      type: object
      properties:
        datasets:
          type: array
          items:
            $ref: '#/components/schemas/v1betaDatasetMetadata'
          title: List of datasets
          readOnly: true
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1betaDatasetMetadata:
      type: object
      properties:
        id:
          type: string
          format: uuid
          title: Unique identifier for the dataset
        dataset_name:
          type: string
          title: Machine-readable name
        display_name:
          type: string
          title: Human-readable display name
        status:
          type: string
          title: Current status of the dataset
        description:
          type: string
          title: Description of the dataset
        created_by:
          type: string
          title: Creator of the dataset
        created_at:
          type: string
          format: date-time
          title: When the dataset was created
        updated_at:
          type: string
          format: date-time
          title: When the dataset was last updated, nullable
        domains:
          type: array
          items:
            type: string
          title: Domain categories the dataset belongs to
        sample_count:
          type: integer
          format: int32
          title: Number of samples in the dataset
        source_urls:
          type: array
          items:
            type: string
          title: Source URLs for the dataset
        license:
          type: string
          title: License information for the dataset
      title: >-
        Full dataset metadata, returned in content responses (includes
        storage_path)
      required:
        - id
        - dataset_name
        - display_name
        - status
        - created_by
        - created_at
        - domains
        - sample_count
        - license
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
  securitySchemes:
    BearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````